--- title: "Enable and edit autocomplete" slug: "analytics-cloudsearch-putautocomplete" updated: 2026-09-17T09:48:05Z published: 2026-09-17T09:48:05Z canonical: "api.ncloud-docs.com/analytics-cloudsearch-putautocomplete" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Enable and edit autocomplete **We are preparing a localization service for the content. We will do our best to provide the localization service as soon as possible.** Enables or edits autocomplete searches in a domain. After that request, autocomplete indexes are automatically updated. - Even if the same autocomplete configuration information as before is requested, autocomplete indexes are updated. ``` PUT https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/domain/{name}/autocomplete ``` ## Request ### Request Parameters | Parameter | Required | Type | Limitations | Description | | --- | --- | --- | --- | --- | | name | Y | string | | Domain name | ### Request Body | Parameter | Required | Type | Limitations | Description | | --- | --- | --- | --- | --- | | indexName | Y | string | Select one of the indexes previously created | Index name | | sectionName | Y | string | Select one of the sections previously created | Section name | ### Response status | HTTP status | Description | | --- | --- | | 200 | OK (Successfully completed) | | 400 | Bad Request | | 401 | Unauthorized | | 403 | Forbidden | | 404 | Not Found | | 500 | Internal Server Error | ## Examples ### Request Example ``` PUT /CloudSearch/real/v1/domain/car_beta/autocomplete HTTP/1.1 Host: cloudsearch.apigw.ntruss.com accept:application/json x-ncp-apigw-signature-v2: cDwtHuQeGmwWyNmwlN6XIGA66zge4iMXvfoDQNna05g= x-ncp-apigw-timestamp: 1545817618751 x-ncp-iam-access-key: teGTwtcSEGA7fu28BGGi { "indexName": "brand_name", "sectionName": "" } ``` ### Request Example ``` {"result":"OK"} ```